Bug 432587 - backlight remains on all the time after latest kernel update
backlight remains on all the time after latest kernel update
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-13 00:54 EST by Paul Osmialowski
Modified: 2009-01-20 13:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:59:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg for old kernel (16.83 KB, text/plain)
2008-03-13 07:12 EDT, Paul Osmialowski
no flags Details
dmesg for new kernel (17.52 KB, text/plain)
2008-03-13 07:13 EDT, Paul Osmialowski
no flags Details
/proc/bus/pci/devices for old kernel (does not differ on new kernel) (4.11 KB, text/plain)
2008-03-13 07:15 EDT, Paul Osmialowski
no flags Details
/sys/bus/macio/devices/0.0000f300:backligh/devspec for old kernel (does not differ on new kernel) (38 bytes, text/plain)
2008-03-13 07:16 EDT, Paul Osmialowski
no flags Details
/sys/bus/macio/devices/0.0000f300:backligh/uevent for old kernel (differs for new kernel) (104 bytes, text/plain)
2008-03-13 07:17 EDT, Paul Osmialowski
no flags Details
/sys/bus/macio/devices/0.0000f300:backligh/uevent for new kernel (87 bytes, text/plain)
2008-03-13 07:18 EDT, Paul Osmialowski
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 9995 None None None Never

  None (edit)
Description Paul Osmialowski 2008-02-13 00:54:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; pl-PL; rv:1.8.1.10) Gecko/20071213 Fedora/2.0.0.10-3.fc8 Firefox/2.0.0.10

Description of problem:
I've updated kernel from 2.6.23.14-115.fc8 to 2.6.23.15-137.fc8 on my PowerBook G4 which works 24/7. Since that backlight never turned off. It's not the expected behavior and it had never happend before I've updated the kernel.

Version-Release number of selected component (if applicable):
kernel-2.6.23.15-137.fc8

How reproducible:
Didn't try


Steps to Reproduce:
1. update kernel to 2.6.23.15-137.fc8
2. do not touch keyboard nor mouse for more than 20min.
3. observe the backlight which should be off to this time


Actual Results:
backlight remains on

Expected Results:
backlight should be off


Additional info:
backlight lamp isn't designed to work forever - hardware may be broken by using this kernel!
Comment 1 Paul Osmialowski 2008-02-17 14:17:34 EST
I've tested previous kernel and there's no problem with that. Then I've runned
recently updated kernel again and again - the backlight doesn't turn off even
after I close the cover. I suspect Powerbook G4 was recently added to some ACPI
blacklist and therefore the backligth will never turn off anymore. Can you
revert it somehow? I didn't experience any ACPI related problems on this hardware!
Comment 2 Paul Osmialowski 2008-03-12 05:10:47 EDT
Recent update to kernel-2.6.24.3-12.fc8 didn't solve the problem. I guess no
future Linux kernels will work properly on G4, time to bring MacOSX back :(
Comment 3 Len Brown 2008-03-12 22:44:42 EDT
I wasn't aware that the Powerbook G4 suppored ACPI.
Please attach the output from dmesg -s64000 and
cat /proc/acpi/info
Comment 4 Paul Osmialowski 2008-03-13 07:12:51 EDT
Created attachment 297915 [details]
dmesg for old kernel
Comment 5 Paul Osmialowski 2008-03-13 07:13:49 EDT
Created attachment 297916 [details]
dmesg for new kernel
Comment 6 Paul Osmialowski 2008-03-13 07:15:03 EDT
Created attachment 297917 [details]
/proc/bus/pci/devices for old kernel (does not differ on new kernel)
Comment 7 Paul Osmialowski 2008-03-13 07:16:29 EDT
Created attachment 297918 [details]
/sys/bus/macio/devices/0.0000f300:backligh/devspec for old kernel (does not differ on new kernel)
Comment 8 Paul Osmialowski 2008-03-13 07:17:59 EDT
Created attachment 297919 [details]
/sys/bus/macio/devices/0.0000f300:backligh/uevent for old kernel (differs for new kernel)
Comment 9 Paul Osmialowski 2008-03-13 07:18:30 EDT
Created attachment 297920 [details]
/sys/bus/macio/devices/0.0000f300:backligh/uevent for new kernel
Comment 10 Paul Osmialowski 2008-03-13 07:22:03 EDT
As Len probably expected, there's no such file as /proc/acpi/info on G4 nand
/proc/acpi directory.

Comment 11 Paul Osmialowski 2008-04-07 15:35:36 EDT
Recent update to kernel-2.6.24.4-64.fc8 didn't solve the problem, it made
problem even worse as revert to kernel-2.6.23.14-115.fc8 is much harder now.
Comment 12 Paul Osmialowski 2008-05-08 06:02:36 EDT
Recent update to kernel-2.6.24.5-85.fc8 didn't solve the problem. Is there any
way  to get detailed set of patches applied to a kernel between
2.6.23.14-115.fc8 and 2.6.23.15-137.fc8? At least one of them might affect macio
subsystem. AFAIR there was also lots of ACPI backlight patches. Is it possible
one of them caused all non-ACPI backlight devices are not usable now?
Comment 13 Paul Osmialowski 2008-10-07 16:46:07 EDT
cat /sys/class/i2c-adapter/i2c-0/device/graphics:fb0/backlight:radeonbl0
127
echo 0 > /sys/class/i2c-adapter/i2c-0/device/graphics:fb0/backlight:radeonbl0
--- this turned off the light (but I guess LCD display is still working)
echo 100 > /sys/class/i2c-adapter/i2c-0/device/graphics:fb0/backlight:radeonbl0
--- this turned on the light back again

I did it after upgrade to kernel-2.6.26.5-28.fc8 which still didn't solve the problem as it still does not behave like good old kernel-2.6.23.14-115.fc8, however I started deeper investigation and found this.
Comment 14 Bug Zapper 2008-11-26 04:48:23 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Len Brown 2008-11-26 13:53:44 EST
i'm sorry, i'm of no help on a powerpc issue.
Comment 16 Bug Zapper 2009-01-09 00:59:04 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 17 Paul Osmialowski 2009-01-20 13:10:12 EST
Unfortunately, I'm experiencing the same problem with one more machine, Ibook G4 (with ATI chips) running Gentoo Linux with most recent kernel. Looks like it is kernel related problem. The only solution is to use kernels pre-2.6.23 or use "echo 0" solution mentioned in one of earlier posts (works on both alu-PowerBook G4 and Ibook G4, both have ATI chips). I doubt this problem will be ever fixed in 2.6 kernel yet to come, time to say goodbye to PPC architecture no matter how good it is.
Also I can say, I have huge PowerMac G5 (with nvidia chips this time) running Fedora 9 and it also never turns backlight off. Fortunately, I've connected regular LCD monitor to it which I can simply turn off while I'm not working.

Note You need to log in before you can comment on or make changes to this bug.